package pegasus.mapreduce.triangle;

import static org.junit.Assert.*;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.util.ToolRunner;
import org.junit.Test;

/**
 * Created by hmpark on 17. 3. 9.
 */
public class PTETest {

//    @Test
//    public void testPTE_cd() throws Exception {
//
//        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
//        String basePath = inputPath + "-test";
//        String oedgePath = basePath + "/data.oedge";
//
//        PTE_cd pte = new PTE_cd();
//
//        EdgeOrder.main(new String[]{inputPath, oedgePath});
//        ToolRunner.run(pte, new String[]{oedgePath, "5"});
//
//        assertEquals(1612010, pte.TRIANGLES);
//
//        FileUtils.forceDelete(new File(basePath));
//    }

    @Test
    public void testPTE_sc() throws Exception {

        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
        String basePath = inputPath + "-test";
        String oedgePath = basePath + "/data.oedge";
        String outputPath = inputPath + ".tri";



        Configuration conf = new Configuration();
        conf.setInt("numColors", 5);
        EdgeOrder.main(new String[]{inputPath, oedgePath});

        //counting mode
        PTE pte = new PTE();
        ToolRunner.run(conf, pte, new String[]{oedgePath});
        assertEquals(1612010, pte.TRIANGLES);

        //listing mode
        ToolRunner.run(conf, pte, new String[]{oedgePath, outputPath});
        assertEquals(1612010, pte.TRIANGLES);


//        FileUtils.forceDelete(new File(basePath));
    }

}
