package pegasus.spark.common.io

/**
  * Created by hmpark on 17. 6. 9.
  */
class LongIteratorFromDirectInput(filePath: String) extends Iterator[Long] {

  val reader = new DirectReader(filePath)

  override def hasNext: Boolean = {
    reader.hasNext()
  }

  override def next(): Long = {
    if(hasNext) reader.readLong()
    else{
      reader.close()
      throw new NoSuchElementException
    }
  }
}


