package pegasus.spark.cc.deprecated.alpha

import org.apache.spark.{SparkConf, SparkContext}
import PACCSort.StarIteratorOp

/**
  * Created by hmpark on 17. 7. 21.
  */
object GroupIteratorTest {
  def main(args: Array[String]): Unit = {

    val conf = new SparkConf().setAppName("smallStarTest").setMaster("local[2]")

    val sc = new SparkContext(conf)

    val inputdata = Seq[(Long, Long)]((1,6), (2,6), (2,5), (2,3), (4,6), (5,7))
    val inputRDD = sc.parallelize(inputdata).repartition(1)

    inputRDD.mapPartitions{ it =>

      it.starGrouped().foreach{
        case (u, it) =>
          println("u:" + u)
          print("(" + it.next + ")")
          println()
      }
      Iterator[Long]()
    }.foreach{x=>}

  }
}
