package pegasus.mapreduce.subgraph;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;
import org.apache.hadoop.util.ToolRunner;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.junit.Test;


import static org.junit.Assert.assertEquals;

/**
 * Created by hmpark on 17. 3. 9.
 */
public class PSETest {

//    @Test
//    public void testTriangle() throws Exception {
//
//        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
//
//        PSE pse = new PSE();
//        Configuration conf = new Configuration();
//        conf.setInt("numColors", 5);
//        ToolRunner.run(conf, pse, new String[]{inputPath, "111"});
//
//        assertEquals(1612010, pse.NUM_SUBGRAPHS);
//    }
//
//    @Test
//    public void test_clq4() throws Exception {
//
//        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
//        String outputPath = inputPath + ".pse_output";
//
//        FileSystem.get(new Configuration()).delete(new Path(outputPath), true);
//
//        PSE pse = new PSE();
//        Configuration conf = new Configuration();
//        conf.setInt("numColors", 5);
//        ToolRunner.run(conf, pse, new String[]{inputPath, "111111", outputPath});
//
//        assertEquals(30004668, pse.NUM_SUBGRAPHS);
//    }
//
//    @Test
//    public void test_square() throws Exception {
//
//        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
//
//        PSE pse = new PSE();
//        Configuration conf = new Configuration();
//        conf.setInt("numColors", 5);
//        ToolRunner.run(conf, pse, new String[]{inputPath, "110011"});
//
//        assertEquals(144023053, pse.NUM_SUBGRAPHS);
//    }

    @Test
    public void test_clq4() throws Exception {

        Logger.getLogger("org").setLevel(Level.ERROR);
        Logger.getLogger("akka").setLevel(Level.ERROR);
        Logger.getLogger("pegasus").setLevel(Level.ERROR);

        String inputPath = getClass().getClassLoader().getResource("graphs/facebook").getFile();
        String outputPath = inputPath + ".pse_output";

        FileSystem.get(new Configuration()).delete(new Path(outputPath), true);

        PSE pse = new PSE();
        Configuration conf = new Configuration();
        conf.setInt("numColors", 5);
        ToolRunner.run(conf, pse, new String[]{inputPath, "111111", outputPath});

    }
}
